<?php include('fncr-geral/configuracao_geral.php');
$pagina = "clubes";
$blq_pag = "clube";
include('fncr-geral/permissoes_restricao.php');


// Coloca os planos novos, conforme os plano atuais
/*
$sql = $bd->getConexao()->prepare('UPDATE clubes_configuracao SET
  plano_sistema =
    CASE
      WHEN plano_formato=1 and plano>0 THEN 1
      WHEN plano_co>0 THEN 4
      ELSE 0 END,
  plano_grupo =
    CASE
      WHEN plano_formato=1 and plano>0 THEN 1
      WHEN plano_co>0 THEN 4
      ELSE 0 END,
  plano_nivel =
    CASE
      WHEN plano_formato=1 and plano>0 THEN plano
      WHEN plano_co>0 THEN 11
      ELSE 0 END
');
if($sql->execute());
*/


// Marca produtos como excluídos (que não serão mais utilizados)
/*
$sql = $bd->getConexao()->prepare('UPDATE modulos_produtos SET
  excluido = CASE WHEN (plano_formato=0 and (plano<>"Desconto" and plano<>"Licença de Uso")) OR (plano_formato=0 and descricao="ADPT2018") OR plano="Nenhum" OR (id_modulo=18 AND plano<>"Ouro") THEN 1 ELSE 0 END
');
if($sql->execute());
*/


// Cria configuração de valores de produtos para cada clube (ativo)
/*
$sql = $bd->getConexao()->prepare('SELECT c.*, cf.* FROM clubes c LEFT JOIN clubes_configuracao cf ON cf.id_clube = c.id');
if( $sql->execute() ) { $clubes = $sql->fetchall(PDO::FETCH_ASSOC);}

foreach($clubes as $c){
  if($c['plano_nivel']>0){
    // Verifica se existe registros criados
    $sql = $bd->getConexao()->prepare('SELECT ifnull(sum(distinct id),0) as total FROM planos_valores_clubes WHERE id_clube = :id_clube AND id_plano_nivel = :id_plano_nivel');
    $sql->bindValue(':id_clube', $c['id'], PDO::PARAM_STR);
    $sql->bindValue(':id_plano_nivel', $c['plano_nivel'], PDO::PARAM_STR);
    if( $sql->execute() ) { $qtd_produtos = $sql->fetch(PDO::FETCH_ASSOC);}

    // Cria registros iniciais
    if($qtd_produtos['total']==0){
      // Valores do Nìvel
      $sql = $bd->getConexao()->prepare('SELECT id, valor FROM planos_valores WHERE id_plano_nivel = :id_plano_nivel');
      $sql->bindValue(':id_plano_nivel', $c['plano_nivel'], PDO::PARAM_STR);
      if( $sql->execute() ) { $valores_produtos = $sql->fetchall(PDO::FETCH_ASSOC);}

      $inserts = array();
      foreach($valores_produtos as $l){
        $inserts[] = '("'.$c['id'].'", "'.$c['plano_nivel'].'", "'.$l['id'].'", "'.$l['valor'].'", "0")';
      }
      if(count($inserts)>0){
        $sql = $bd->getConexao()->prepare('INSERT INTO planos_valores_clubes
        (id_clube, id_plano_nivel, id_plano_valor, valor, valor_ajuste) VALUES '.implode(',', $inserts));
        if($sql->execute());
      }
    }
  }
}
*/







?>